# 202021029 - 로봇 팔을 활용한 자동 물체 이송 시스템

## 프로젝트 개요

이 프로젝트는 ROS2 기반 협동 로봇을 활용하여 물체를 자동으로 이송하는 시스템을 구현하는 것을 목표로 한다. 로봇은 일정 구역 안에 들어온 물체를 인식하고 판별해 정해진 위치로 이송시켜주는 과정을 담당한다.

## 프로젝트 목표

1. 로봇 손으로 물체를 잡고 이동하는 기능 개발
2. 물체를 구별하는 기준 설정
3. 물체를 인식하고 판별하는 시스템 구축

## 방법론

- ROS2를 이용한 로봇 프로그래밍
- 물체 인식과 판별 장치 개발
- 정해진 구역 안에 들어온 물체 감지 센서 개발

## 필요 자원

- 하드웨어 : 두산 협동 로봇, 웹캠, 여러가지 센서.
- 소프트웨어 : ROS2, OpenCV 컴퓨터 비전 라이브러리

## 프로젝트 참여자

- 학번 : 202021029
- 이름 : 장희선
- E-mail : 202021029@chu.ac.kr

## 예상 예산

| 품목        | 가격(원)   |
| ----------- | ---------- |
| 웹캠        | 35,000     |
| **총 예산** | **35,000** |

## 예상 일정(총 기간:8주)

- 1주 : 요구사항 분석과 설계
- 2주 : ROS2 및 OpenCV를 활용한 소프트웨어 개발
- 3주 : 로봇 팔을 제어하기 위한 하드웨어 설정 및 연동
- 4주 : 물체를 구별하는 기준 설정 및 물체 감지 센서 설치
- 5주 : 물체를 인식하고 판별하는 시스템 테스트
- 6주 : 시스템 통합 및 기능 향상을 위한 보완
- 7주 : 최종 테스트 및 디버깅
- 8주 : 문서 작성, 프로젝트 발표 및 마무리

## 위험관리

공부 부족으로 인한 기술적 실패 가능성을 최대한 낮추기 위해 적절한 교육을 통해 기술적 능력 강화. 유연한 프로젝트 관리와 일정을 조정해 가능한 일정 지연을 늦춘다.
